--- title: "setNotiConfig" slug: "security-filesafer-setnoticonfig" tags: ["File Safer"] updated: 2026-09-17T10:25:45Z published: 2026-09-17T10:25:45Z canonical: "api.ncloud-docs.com/security-filesafer-setnoticonfig" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # setNotiConfig Available in Classic and VPC Set up notifications of analysis results using hash filter. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | POST | /hashfilter/v1/setNotiConfig | ### Request headers For information about the headers common to all File Safer APIs, see [File Safer request headers](/docs/en/security-filesafer#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request body You can include the following data in the body of your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `notificationType` | String | Required | Conditions for analysis results notification - `OFF` \| `MAL` \| `MAE` \| `ERR` \| `ALL` - `OFF`: Do not notify - `MAL`: Notify when malware is detected - `MAE`: Notify when malware is detected or query fails - `ERR`: Notify when query fails - `ALL`: Notify all | ### Request example The request example is as follows: ``` curl --location --request POST 'https://filesafer.apigw.ntruss.com/hashfilter/v1/setNotiConfig' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-apigw-api-key: {API Gateway API Key}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Accept: application/json' \ --data '{ "notificationType": "ALL" }' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `returnCode` | String | Required | Response code | | `returnMessage` | String | Required | Response message | ### Response status codes For information about the HTTP status codes common to all File Safer APIs, see [File Safer response status codes](/docs/en/security-filesafer#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "returnCode": "0", "returnMessage": "success" } ```